Bug 23860 - Patrons endpoint not setting the Location header
Summary: Patrons endpoint not setting the Location header
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 23843
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-21 19:17 UTC by Tomás Cohen Arazi
Modified: 2019-11-01 15:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23860: Regression tests (1.28 KB, patch)
2019-10-22 16:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23860: Make the patrons endpoint add the Location header (1003 bytes, patch)
2019-10-22 16:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23860: Update tests to new style (18.53 KB, patch)
2019-10-22 16:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23860: Regression tests (1.34 KB, patch)
2019-11-01 08:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23860: Make the patrons endpoint add the Location header (1.04 KB, patch)
2019-11-01 08:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23860: Update tests to new style (18.59 KB, patch)
2019-11-01 08:46 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-10-21 19:17:04 UTC

    
Comment 1 Tomás Cohen Arazi 2019-10-22 16:57:51 UTC
Created attachment 94583 [details] [review]
Bug 23860: Regression tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2019-10-22 16:57:54 UTC
Created attachment 94584 [details] [review]
Bug 23860: Make the patrons endpoint add the Location header

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Tomás Cohen Arazi 2019-10-22 16:57:59 UTC
Created attachment 94585 [details] [review]
Bug 23860: Update tests to new style

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Martin Renvoize 2019-11-01 08:45:53 UTC
Created attachment 94941 [details] [review]
Bug 23860: Regression tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-11-01 08:45:57 UTC
Created attachment 94942 [details] [review]
Bug 23860: Make the patrons endpoint add the Location header

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-11-01 08:46:00 UTC
Created attachment 94943 [details] [review]
Bug 23860: Update tests to new style

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-11-01 08:46:48 UTC
Trivial patch that improves the consistency of our API's.

Passing QA
Comment 8 Martin Renvoize 2019-11-01 08:49:03 UTC
Nice work!

Pushed to master for 19.11.00